Xerces-C++: TranscodeToStr Class Reference

# TranscodeToStr Class Reference

List of all members.

## Public Member Functions
| TranscodeToStr (const XMLCh *in, const char *encoding, MemoryManager *manager=XMLPlatformUtils::fgMemoryManager)
| Converts from the internal XMLCh* encoding to the specified encoding.
| TranscodeToStr (const XMLCh *in, XMLSize_t length, const char *encoding, MemoryManager *manager=XMLPlatformUtils::fgMemoryManager)
| Converts from the internal XMLCh* encoding to the specified encoding.
| TranscodeToStr (const XMLCh *in, XMLTranscoder *trans, MemoryManager *manager=XMLPlatformUtils::fgMemoryManager)
| Converts from the internal XMLCh* encoding to the specified encoding.
| TranscodeToStr (const XMLCh *in, XMLSize_t length, XMLTranscoder *trans, MemoryManager *manager=XMLPlatformUtils::fgMemoryManager)
| Converts from the internal XMLCh* encoding to the specified encoding.
| ~TranscodeToStr ()
Getter methods
const XMLByte * | str () const
| Returns the transcoded, null terminated string.
XMLByte * | adopt ()
| Returns the transcoded, null terminated string - adopting the memory allocated to it from the TranscodeToStr object.
XMLSize_t | length () const
| Returns the length of the transcoded string in bytes.

## Constructor & Destructor Documentation

TranscodeToStr::TranscodeToStr | ( | const XMLCh * | in,
|  | const char * | encoding,
|  | MemoryManager * | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

Converts from the internal XMLCh* encoding to the specified encoding.

Parameters:

  | in | the null terminated source buffer to be transcoded
  | encoding | the name of the encoding to transcode to
  | manager | the memory manager to use

TranscodeToStr::TranscodeToStr | ( | const XMLCh * | in,
|  | XMLSize_t | length,
|  | const char * | encoding,
|  | MemoryManager * | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

Converts from the internal XMLCh* encoding to the specified encoding.

Parameters:

  | in | the source buffer to be transcoded
  | length | the length of the source buffer
  | encoding | the name of the encoding to transcode to
  | manager | the memory manager to use

TranscodeToStr::TranscodeToStr | ( | const XMLCh * | in,
|  | XMLTranscoder * | trans,
|  | MemoryManager * | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

Converts from the internal XMLCh* encoding to the specified encoding.

Parameters:

  | in | the null terminated source buffer to be transcoded
  | trans | the transcoder to use
  | manager | the memory manager to use

TranscodeToStr::TranscodeToStr | ( | const XMLCh * | in,
|  | XMLSize_t | length,
|  | XMLTranscoder * | trans,
|  | MemoryManager * | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

Converts from the internal XMLCh* encoding to the specified encoding.

Parameters:

  | in | the source buffer to be transcoded
  | length | the length of the source buffer
  | trans | the transcoder to use
  | manager | the memory manager to use

TranscodeToStr::~TranscodeToStr | ( |  | ) |

## Member Function Documentation

const XMLByte * TranscodeToStr::str | ( |  | ) | const

Returns the transcoded, null terminated string.

Returns:
  the transcoded string

XMLByte * TranscodeToStr::adopt | ( |  | ) |

Returns the transcoded, null terminated string - adopting the memory allocated to it from the TranscodeToStr object.

Returns:
  the transcoded string

XMLSize_t TranscodeToStr::length | ( |  | ) | const

Returns the length of the transcoded string in bytes.

The length does not include the null terminator.

Returns:
  the length of the transcoded string in bytes

The documentation for this class was generated from the following file:

- TransService.hpp